# addSigner

### Overview

Parameters:&#x20;

* String - document token
* [Signer](/english/facilitators/sdks/typescript-sdk/used-classes/body/signer.md)

Return:

* [Signer](/english/facilitators/sdks/typescript-sdk/used-classes/body/signer.md) - In case of success
* Exception - In case of failure

To add a signer we will need:

* set your apiToken;
* set your document token;
* build a new signer;
* call the method;

### How to use:

Save your [apiToken](/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set the signer token:

```typescript
const signerToken: string = "SIGNER TOKEN";
```

Build your signer with the [Signer](/english/facilitators/sdks/typescript-sdk/used-classes/body/signer.md) class:

```typescript
const signerBuilder = SignerBuilder()
    .withName("New Signer Name")
    .withEmail("newEmail@test.com")
    .withLockEmail(true)
    .withLockPhone(true)
    .withPhoneCountry("55")
    .withPhoneNumber("999999999")
    .withAuthMode("assinaturaTela") // draw on screen
    .withSendAutomaticAemail(false)
    .withSendAutomaticWhatsApp(false)
    .build();
```

Call the addSigner method to get the [Signer](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signer) or an error message:

```typescript
async function exempleAddSigner() {
    try {
        signerResponse: string = new SignerRequest(apiToken).addSigner(signerToken, signer);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }    
}
```

### Example:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { SignerBuilder } from "sdk-node-typescript-zapsign/src/body/signer/builders/SignerBuilder";
<strong>
</strong><strong>const apiToken: string = "SEU TOKEN";
</strong>const docToken: string = "TOKEN DOCUMENTO";

const signerBuilder = SignerBuilder()
    .withName("New Signer Name")
    .withEmail("newEmail@test.com")
    .withLockEmail(true)
    .withLockPhone(true)
    .withPhoneCountry("55")
    .withPhoneNumber("999999999")
    .withAuthMode("assinaturaTela") // draw on screen
    .withSendAutomaticAemail(false)
    .withSendAutomaticWhatsApp(false)
    .build();
    
async function exempleAddSigner() {
    try {
        signerResponse: string = new SignerRequest(apiToken).addSigner(signerToken, signer);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }    
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/typescript-sdk/signers-requests/addsigner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
